package com.logicbig.example;


import javax.ws.rs.core.EntityTag;
import java.time.LocalDate;
import java.time.ZoneId;
import java.util.Date;

public enum UserService {
    Instance;

    public Date getUsersLastModifiedDate() {
        return Date.from(LocalDate.now()
                                  .minusDays(21).atStartOfDay()
                                  .atZone(ZoneId.systemDefault()).toInstant());
    }

    public EntityTag getETagForUser(String userId) {
        return new EntityTag("version1");
    }

    public Object getUser(String id) {
        return "dummy user for id: " + id;
    }
}